Subject: RE: How to create a windows link in script?
From: Joshua Franklin <[email-masked]>
To: [email-masked]
Cc: [email-masked], [email-masked], Stephan Mueller <[email-masked]>
Date: Tue, 19 Feb 2002 21:04:52 -0800 (PST)

> The Windows term for these things is 'shortcut'.  
> Perhaps you want to call your tool mkshortcut?  
> Yeah, it's longer, but it's less ambiguous than 
> mklink.  There's already enough confusion between 
> linking executables from object modules and hard and

> symbolic links in the file system.  Also, since the 
> files created are .lnk files, mklink doesn't
> immediately make one see the connection.  Perhaps 
> mklnk would be more accurate.
>
> (And I haven't even had a chance to _look_ at the 
> tool itself.

Well, they're called shortcuts...or (in the MS 
documentation I read) "OLE Links". Oops.
"mkshortcut" is a good idea, though, much more to the
point of the app. The name came from a function call 
and .c file in cygwin's setup.exe source. In the 
archive the executable is actually prog.exe--easier to

TAB-complete--because I wasn't sure of the name
myself.

I guess you noticed it was version 0.1 anyway...

__________________________________________________
Do You Yahoo!?
Yahoo! Sports - Coverage of the 2002 Olympic Games
http://sports.yahoo.com

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/